org.apache.axiom.util.stax.wrapper

## Class XMLInputFactoryWrapper

- java.lang.Object
- - javax.xml.stream.XMLInputFactory
  - - org.apache.axiom.util.stax.wrapper.XMLInputFactoryWrapper

- Direct Known Subclasses:
    ImmutableXMLInputFactory, WrappingXMLInputFactory

      public class XMLInputFactoryWrapper
      extends javax.xml.stream.XMLInputFactory

  Base class for `XMLInputFactory` wrappers. The class provides default implementations for all methods. Each of them calls the corresponding method in the parent factory.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.stream.XMLInputFactory

      `ALLOCATOR, IS_COALESCING, IS_NAMESPACE_AWARE, IS_REPLACING_ENTITY_REFERENCES, IS_SUPPORTING_EXTERNAL_ENTITIES, IS_VALIDATING, REPORTER, RESOLVER, SUPPORT_DTD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLInputFactoryWrapper(javax.xml.stream.XMLInputFactory parent)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.stream.XMLEventReader` | `createFilteredReader(javax.xml.stream.XMLEventReader reader, javax.xml.stream.EventFilter filter)`
    `javax.xml.stream.XMLStreamReader` | `createFilteredReader(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.StreamFilter filter)`
    `javax.xml.stream.XMLEventReader` | `createXMLEventReader(InputStream stream)`
    `javax.xml.stream.XMLEventReader` | `createXMLEventReader(InputStream stream, String encoding)`
    `javax.xml.stream.XMLEventReader` | `createXMLEventReader(Reader reader)`
    `javax.xml.stream.XMLEventReader` | `createXMLEventReader(Source source)`
    `javax.xml.stream.XMLEventReader` | `createXMLEventReader(String systemId, InputStream stream)`
    `javax.xml.stream.XMLEventReader` | `createXMLEventReader(String systemId, Reader reader)`
    `javax.xml.stream.XMLEventReader` | `createXMLEventReader(javax.xml.stream.XMLStreamReader reader)`
    `javax.xml.stream.XMLStreamReader` | `createXMLStreamReader(InputStream stream)`
    `javax.xml.stream.XMLStreamReader` | `createXMLStreamReader(InputStream stream, String encoding)`
    `javax.xml.stream.XMLStreamReader` | `createXMLStreamReader(Reader reader)`
    `javax.xml.stream.XMLStreamReader` | `createXMLStreamReader(Source source)`
    `javax.xml.stream.XMLStreamReader` | `createXMLStreamReader(String systemId, InputStream stream)`
    `javax.xml.stream.XMLStreamReader` | `createXMLStreamReader(String systemId, Reader reader)`
    `javax.xml.stream.util.XMLEventAllocator` | `getEventAllocator()`
    `Object` | `getProperty(String name)`
    `javax.xml.stream.XMLReporter` | `getXMLReporter()`
    `javax.xml.stream.XMLResolver` | `getXMLResolver()`
    `boolean` | `isPropertySupported(String name)`
    `void` | `setEventAllocator(javax.xml.stream.util.XMLEventAllocator allocator)`
    `void` | `setProperty(String name, Object value)`
    `void` | `setXMLReporter(javax.xml.stream.XMLReporter reporter)`
    `void` | `setXMLResolver(javax.xml.stream.XMLResolver resolver)`

    - ### Methods inherited from class javax.xml.stream.XMLInputFactory

      `newFactory, newFactory, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLInputFactoryWrapper

          public XMLInputFactoryWrapper(javax.xml.stream.XMLInputFactory parent)

      Constructor.
      Parameters:
        `parent` - the parent factory

  - ### Method Detail

    - #### createFilteredReader

          public javax.xml.stream.XMLEventReader createFilteredReader(javax.xml.stream.XMLEventReader reader,
                                                                      javax.xml.stream.EventFilter filter)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createFilteredReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createFilteredReader

          public javax.xml.stream.XMLStreamReader createFilteredReader(javax.xml.stream.XMLStreamReader reader,
                                                                       javax.xml.stream.StreamFilter filter)
                                                                throws javax.xml.stream.XMLStreamException

      Specified by:
        `createFilteredReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventReader

          public javax.xml.stream.XMLEventReader createXMLEventReader(InputStream stream,
                                                                      String encoding)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventReader

          public javax.xml.stream.XMLEventReader createXMLEventReader(InputStream stream)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventReader

          public javax.xml.stream.XMLEventReader createXMLEventReader(Reader reader)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventReader

          public javax.xml.stream.XMLEventReader createXMLEventReader(Source source)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventReader

          public javax.xml.stream.XMLEventReader createXMLEventReader(String systemId,
                                                                      InputStream stream)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventReader

          public javax.xml.stream.XMLEventReader createXMLEventReader(String systemId,
                                                                      Reader reader)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLEventReader

          public javax.xml.stream.XMLEventReader createXMLEventReader(javax.xml.stream.XMLStreamReader reader)
                                                               throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLEventReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLStreamReader

          public javax.xml.stream.XMLStreamReader createXMLStreamReader(InputStream stream,
                                                                        String encoding)
                                                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLStreamReader

          public javax.xml.stream.XMLStreamReader createXMLStreamReader(InputStream stream)
                                                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLStreamReader

          public javax.xml.stream.XMLStreamReader createXMLStreamReader(Reader reader)
                                                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLStreamReader

          public javax.xml.stream.XMLStreamReader createXMLStreamReader(Source source)
                                                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLStreamReader

          public javax.xml.stream.XMLStreamReader createXMLStreamReader(String systemId,
                                                                        InputStream stream)
                                                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### createXMLStreamReader

          public javax.xml.stream.XMLStreamReader createXMLStreamReader(String systemId,
                                                                        Reader reader)
                                                                 throws javax.xml.stream.XMLStreamException

      Specified by:
        `createXMLStreamReader` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### getEventAllocator

          public javax.xml.stream.util.XMLEventAllocator getEventAllocator()

      Specified by:
        `getEventAllocator` in class `javax.xml.stream.XMLInputFactory`

    - #### getProperty

          public Object getProperty(String name)
                             throws IllegalArgumentException

      Specified by:
        `getProperty` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `IllegalArgumentException`

    - #### getXMLReporter

          public javax.xml.stream.XMLReporter getXMLReporter()

      Specified by:
        `getXMLReporter` in class `javax.xml.stream.XMLInputFactory`

    - #### getXMLResolver

          public javax.xml.stream.XMLResolver getXMLResolver()

      Specified by:
        `getXMLResolver` in class `javax.xml.stream.XMLInputFactory`

    - #### isPropertySupported

          public boolean isPropertySupported(String name)

      Specified by:
        `isPropertySupported` in class `javax.xml.stream.XMLInputFactory`

    - #### setEventAllocator

          public void setEventAllocator(javax.xml.stream.util.XMLEventAllocator allocator)

      Specified by:
        `setEventAllocator` in class `javax.xml.stream.XMLInputFactory`

    - #### setProperty

          public void setProperty(String name,
                                  Object value)
                           throws IllegalArgumentException

      Specified by:
        `setProperty` in class `javax.xml.stream.XMLInputFactory`
      Throws:
        `IllegalArgumentException`

    - #### setXMLReporter

          public void setXMLReporter(javax.xml.stream.XMLReporter reporter)

      Specified by:
        `setXMLReporter` in class `javax.xml.stream.XMLInputFactory`

    - #### setXMLResolver

          public void setXMLResolver(javax.xml.stream.XMLResolver resolver)

      Specified by:
        `setXMLResolver` in class `javax.xml.stream.XMLInputFactory`

Copyright © The Apache Software Foundation. All Rights Reserved.